Bug 1275847 - Time Zone entry doesn't allow tab completion
Time Zone entry doesn't allow tab completion
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F23FinalFreezeException
  Show dependency treegraph
 
Reported: 2015-10-27 19:25 EDT by Mike Ruckman
Modified: 2016-12-20 10:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:11:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Ruckman 2015-10-27 19:25:17 EDT
Description of problem:
Start typing your location into the input for the timezone, hit tab to complete, hit enter and the "Next" button isn't clickable to proceed. Have to actually click the item in the drop down in order to select it.

Version-Release number of selected component (if applicable):
gnome-initial-setup-3.18.0-1.fc23.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install from Live, don't create a user
2. Boot fresh install
3. Attempt to type in your location, use tab completion to finish
4. Hit enter to select what's offered by tab completion

Actual results:
Have to manually click the drop down to selection location

Expected results:
Tab completion correctly selects location

Additional info:
Comment 1 Fedora Blocker Bugs Application 2015-10-27 19:26:27 EDT
Proposed as a Freeze Exception for 23-final by Fedora user roshi using the blocker tracking app because:

 This is a minor bug, but if there's a fix by the next RC, it'd be good to get this bug fixed just for the polish it provides.
Comment 2 Stephen Gallagher 2015-10-27 22:07:08 EDT
I'd prefer not to vote on this without input from the g-i-s maintainer; My guess is that this would actually be a change in some toolkit somewhere (gtk?) and as such might have far-reaching impact.
Comment 3 Matthias Clasen 2015-10-29 14:07:50 EDT
not sure why this even gets close to the blocker list...its an RFE that should be filed upstream first.
Comment 4 Stephen Gallagher 2015-10-29 14:12:27 EDT
(In reply to Matthias Clasen from comment #3)
> not sure why this even gets close to the blocker list...its an RFE that
> should be filed upstream first.

It wasn't proposed as a blocker. It was proposed as a Freeze Exception, which means that (if accepted) we would take a fix if one appeared during freeze.
Comment 5 Fedora End Of Life 2016-11-24 07:56:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:11:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.